LibreOffice: GalleryItem Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
GalleryItem Service Reference

service to get access to the properties of a single Gallery item More...

`import"GalleryItem.idl";`

Inheritance diagram for GalleryItem:

## Exported Interfaces
interface | ::com::sun::star::gallery::XGalleryItem
interface | ::com::sun::star::beans::XPropertySet

## Public Attributes
byte | GalleryItemType
| The type of the Gallery item. More...
string | URL
| the URL of the Gallery item More...
string | Title
| the title of the Gallery item More...
com::sun::star::graphic::XGraphic | Thumbnail
| the thumbnail of the Gallery item More...
::com::sun::star::graphic::XGraphic | Graphic
| the graphic content of the Gallery item More...
::com::sun::star::lang::XComponent | Drawing
| the drawing content of the Gallery item More...

## Additional Inherited Members
Public Member Functions inherited from XGalleryItem
byte | getType ()
| retrieves the type of the Gallery item More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

service to get access to the properties of a single Gallery item

## Exported Interfaces

## ◆ ::com::sun::star::beans::XPropertySet

interface ::com::sun::star::beans::XPropertySet

## ◆ ::com::sun::star::gallery::XGalleryItem

interface ::com::sun::star::gallery::XGalleryItem

## Member Data Documentation

## ◆ Drawing

::com::sun::star::lang::XComponent Drawing
| optionalpropertyreadonly

the drawing content of the Gallery item

This is an optional property and may not available for every item

## ◆ GalleryItemType

byte GalleryItemType
| propertyreadonly

The type of the Gallery item.

See also
  GalleryItemType

## ◆ Graphic

::com::sun::star::graphic::XGraphic Graphic
| optionalpropertyreadonly

the graphic content of the Gallery item

This is an optional property and may not available for every item

## ◆ Thumbnail

com::sun::star::graphic::XGraphic Thumbnail
| propertyreadonly

the thumbnail of the Gallery item

The thumbnail may be either a pixel or a vector graphic

## ◆ Title

string Title
| property

the title of the Gallery item

## ◆ URL

string URL
| propertyreadonly

the URL of the Gallery item

The interpretation of the URL depends on the type of the Gallery item. In case of graphic and media items, the URL is a "real" URL, in case of drawings it is a private URL

The documentation for this service was generated from the following file:

- com/sun/star/gallery/GalleryItem.idl